Summary: Determines which system packages need to be updated.
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: sources.centos4
Source2: RPM-GPG-KEY-centos4
Patch0: gpgUtils.py.centos4.patch
Patch1: centos_noRHNregister.patch
Patch2: centos_RHN_gui.patch
Patch3: rhel-update-to-4.4.5.6.patch
Patch4: centos-menu-desktop.patch
Url: http://rhn.redhat.com
Name: up2date
Version: 4.4.5.6
Release: 2.centos4
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.2
Requires: rpm >= 4.1-1.05
Requires: libxml2-python
Requires: rpm-python 
Requires: gnupg
Requires: sh-utils
Obsoletes: rhn_register
Requires: rhnlib >= 1.3-12 
Prereq: /sbin/chkconfig
Requires: mkinitrd >= 3.2.2
Requires: python-optik
Requires: rhpl >= 0.81-2
Requires: perl
Requires: newt
Obsoletes: up2date-update

# for uuidgen, we need:
Requires: e2fsprogs

BuildRequires: desktop-file-utils
BuildRequires: python >= 2.2.2-7
BuildRequires: python-devel
BuildRequires: gettext
BuildRequires: intltool


#%define pythonver %(pythonver="python`rpm -q --queryformat='%{VERSION}' python 2>/dev/null | cut -b1-3`"; echo "$pythonver")
#%define pythonver python2.3
%define pythonver python%(%{__python} -c "import sys; print sys.version[:3]")


# only need mkinitrd on x86 and only grubby on 7.2 or higher
%ifnarch i386 ia64 
%define needsmkinitrd  0
%else
%define needsmkinitrd 1
%endif

%define _unpackaged_files_terminate_build 0
%define _missing_doc_files_terminate_build 0

%description
The up2date Agent automatically queries the CentOS Mirror
servers and determines which packages need to be updated on
your machine.

%package gnome
Summary: A GUI interface for Update Agent.
Group: System Environment/Base
Url: http://rhn.redhat.com
Requires: %{name} = %{version}
Requires: usermode >= 1.36
Requires: pam >= 0.72
Requires: pygtk2 pygtk2-libglade gnome-python2 gnome-python2-canvas 
Requires: usermode-gtk
Obsoletes: rhn_register-gnome



%description gnome
The up2date-gnome package contains a GNOME interface for the CentOS 
Network Update Agent.

%prep
%setup -q 

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%build
# put the packages in the right lib for lib64
make LIBDIR=%{_libdir} PYTHON_VER=%{pythonver}

%install
# only needed for 6.x
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make install PREFIX=$RPM_BUILD_ROOT MANPATH=%{_mandir} LIBDIR=%{_libdir} PYTHON_VER=%{pythonver}

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn
mkdir -p $RPM_BUILD_ROOT/var/spool/up2date
mkdir -p $RPM_BUILD_ROOT/var/lib/up2date

# install the rhnsd init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 rhnsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rhnsd

# install config file
install -m 644 rhnsd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/rhn/rhnsd
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rhn/sources
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/rhn/RPM-GPG-KEY
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/rhn/RPM-GPG-KEY-centos4

# these are the same man page...
ln -s %{_mandir}/man8/up2date.8 $RPM_BUILD_ROOT/%{_mandir}/man8/up2date-nox.8

%find_lang %{name}

desktop-file-install --vendor CentOS --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-rhn-up2date.desktop

# Compile .pyc again #69205
set -x
find $RPM_BUILD_ROOT%{_datadir}/rhn -name '*.pyc' |xargs rm
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{_datadir}/rhn', ddir='%{_datadir}/rhn')"

%post
# if old configuration exists, copy it into place
if [ -f /etc/up2date.conf ]; then
    cp /etc/up2date.conf /etc/sysconfig/rhn/up2date
fi

/sbin/chkconfig --add rhnsd

UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/up2date-uuid


%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/rhnsd stop >/dev/null 2>&1
    /sbin/chkconfig --del rhnsd
fi


%postun
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%triggerpostun -- up2date <= 2.0.4
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%clean
rm -fr $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
# some info about mirrors
%doc ChangeLog mirrors.txt fedora-core-1 updates-released
%dir /etc/sysconfig/rhn
%dir /etc/sysconfig/rhn/clientCaps.d
%dir /etc/rpm/
%config(noreplace) /etc/sysconfig/rhn/up2date
%config(noreplace) /etc/logrotate.d/up2date
%config(noreplace) /etc/sysconfig/rhn/sources

%config /etc/security/console.apps/up2date
%config /etc/security/console.apps/up2date-nox
%config /etc/security/console.apps/up2date-config
#%config /etc/security/console.apps/rhn_register
%config /etc/pam.d/up2date
%config /etc/pam.d/up2date-config
%config /etc/pam.d/up2date-nox
#%config /etc/pam.d/rhn_register

#modules
%{_libdir}/%{pythonver}/site-packages/dmimodule.so


# dirs
%dir /usr/share/rhn
%dir /usr/share/rhn/up2date_client
%dir /usr/share/rhn/up2date_client/repoBackends

#files
/usr/bin/up2date
#/usr/bin/rhn_register
/usr/sbin/up2date
#/usr/sbin/rhn_register
#/usr/sbin/rhnreg_ks
/usr/bin/up2date-config
/usr/sbin/up2date-config
/usr/bin/up2date-nox
/usr/sbin/up2date-nox
/usr/bin/go-rhn.sh
/usr/share/rhn/up2date_client/__init__.*
/usr/share/rhn/up2date_client/configUtils.*
/usr/share/rhn/up2date_client/config.*
/usr/share/rhn/up2date_client/hardware.*
/usr/share/rhn/up2date_client/up2date.*
/usr/share/rhn/up2date_client/wrapper.*
/usr/share/rhn/up2date_client/iutil.*
/usr/share/rhn/up2date_client/lilo.*
/usr/share/rhn/up2date_client/grubcfg.*
/usr/share/rhn/up2date_client/lilocfg.*
/usr/share/rhn/up2date_client/elilocfg.*
/usr/share/rhn/up2date_client/checkbootloader.*
/usr/share/rhn/up2date_client/bootloadercfg.*
/usr/share/rhn/up2date_client/text_config.*
/usr/share/rhn/up2date_client/rhnreg.*
/usr/share/rhn/up2date_client/rpmSource.*
/usr/share/rhn/up2date_client/getMethod.*
/usr/share/rhn/up2date_client/rhnDefines.*
/usr/share/rhn/up2date_client/up2dateUtils.*
/usr/share/rhn/up2date_client/wrapperUtils.*
/usr/share/rhn/up2date_client/up2dateLog.*
/usr/share/rhn/up2date_client/up2dateMessages.*
/usr/share/rhn/up2date_client/up2dateErrors.*
/usr/share/rhn/up2date_client/up2dateAuth.*
/usr/share/rhn/up2date_client/up2dateComps.*
/usr/share/rhn/up2date_client/rpcServer.*
/usr/share/rhn/up2date_client/rpmUtils.*
/usr/share/rhn/up2date_client/rhnPackageInfo.*
/usr/share/rhn/up2date_client/packageList.*
/usr/share/rhn/up2date_client/headers.*
/usr/share/rhn/up2date_client/depSolver.*
/usr/share/rhn/up2date_client/up2dateBatch.*
/usr/share/rhn/up2date_client/gpgUtils.*
/usr/share/rhn/up2date_client/rhnChannel.*
/usr/share/rhn/up2date_client/rhnErrata.*
/usr/share/rhn/up2date_client/rollbacks.*
/usr/share/rhn/up2date_client/rhnHardware.*
/usr/share/rhn/up2date_client/transaction.*
/usr/share/rhn/up2date_client/tui.*
/usr/share/rhn/up2date_client/distrotype.*
/usr/share/rhn/up2date_client/clientCaps.*
/usr/share/rhn/up2date_client/capabilities.*
/usr/share/rhn/up2date_client/sourcesConfig.*
/usr/share/rhn/up2date_client/rpmSourceUtils.*
/usr/share/rhn/up2date_client/urlMirrors.*
/usr/share/rhn/up2date_client/rhnregGui.*
/usr/share/rhn/up2date_client/messageWindow.*
/usr/share/rhn/up2date_client/repoDirector.*
/usr/share/rhn/up2date_client/rh_register.glade
/usr/share/rhn/up2date_client/repoBackends/__init__*
/usr/share/rhn/up2date_client/repoBackends/aptRepo.*
/usr/share/rhn/up2date_client/repoBackends/dirRepo.*
/usr/share/rhn/up2date_client/repoBackends/genericRepo.*
/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.*
/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.*
/usr/share/rhn/up2date_client/repoBackends/urlUtils.*
/usr/share/rhn/up2date_client/repoBackends/yumRepo.*
/usr/share/rhn/up2date_client/repoBackends/cmdlineRepo.*
/usr/share/rhn/up2date_client/repoBackends/importmetadata.*
/usr/share/rhn/up2date_client/repoBackends/mdErrors.*
/usr/share/rhn/up2date_client/repoBackends/mdUtils.*
/usr/share/rhn/up2date_client/repoBackends/packageObject.*
/usr/share/rhn/up2date_client/repoBackends/packageSack.*
/usr/share/rhn/up2date_client/repoBackends/repoMDObject.*
/usr/share/rhn/up2date_client/repoBackends/rpmmdRepo.*
/usr/share/rhn/__init__.*

# actions for rhn_check to run
/usr/share/rhn/actions/__init__.*
/usr/share/rhn/actions/hardware.*
/usr/share/rhn/actions/errata.*
/usr/share/rhn/actions/packages.*
/usr/share/rhn/actions/systemid.*
/usr/share/rhn/actions/rollback.*
/usr/share/rhn/actions/reboot.*
/usr/share/rhn/actions/rhnsd.*
/usr/share/rhn/actions/up2date_config.*


# firstboot is smart enough now to skip these modules
# if the modules say to
/usr/share/firstboot/modules/rhn_activate_gui.*
/usr/share/firstboot/modules/rhn_newaccount_gui.*
/usr/share/firstboot/modules/rhn_shared.*
/usr/share/firstboot/modules/rhn_login_gui.*
/usr/share/firstboot/modules/rhn_optout_gui.*

%{_mandir}/man8/*


#public keys and certificates
/usr/share/rhn/RHNS-CA-CERT
/usr/share/rhn/*RPM-GPG-KEY*

%config(noreplace) /etc/sysconfig/rhn/up2date-keyring.gpg
%config(noreplace) /etc/sysconfig/rhn/up2date-uuid
%config /etc/sysconfig/rhn/rhnsd
%config /etc/rpm/macros.up2date
/usr/sbin/rhnsd
/usr/sbin/rhn_check
/etc/rc.d/init.d/rhnsd
%dir /var/spool/up2date
%dir /var/lib/up2date

%files gnome
%defattr(-,root,root)
#desktop files
%{_datadir}/applications/* 

/usr/share/rhn/up2date_client/gui.*
/usr/share/rhn/up2date_client/configdlg.*
/usr/share/rhn/up2date_client/progress.*
/usr/share/rhn/up2date_client/checklist.*
/usr/share/rhn/up2date_client/*png
/usr/share/pixmaps/*png


%changelog
* Wed Apr  7 2005 Johnny Hughes <johnny@centos.org> 4.4.5.6-centos4
- added RH updates from 4.4.5-1 to 4.4.5.6 to the CentOS4 RPM
- removed contrib from the default source file
- removed rhn_register

* Thu Mar 31 2005 Adrian Likins <alikins@redhat.com> 4.4.5.5
- fix #152523

* Wed Mar 30 2005 Adrian Likins <alikins@redhat.com> 4.4.5.4
- fix #152523

* Mon Mar 14 2005 Adrian Likins <alikins@redhat.com> 4.4.5.3
- remove unneeded but harmless changes

* Wed Mar 9 2005 Adrian Likins <alikins@redhat.com> 4.4.5.2
- fix #150714

* Sat Mar  5 2005 Karanbir Singh <kbsingh@centos.org>
- Removed No Network RHN popup

* Wed Mar  2 2005 Johnny Hughes <johnny@centos.org>
- Updated the sources file to fix typo in the sources file (bug #836)

* Tue Mar 1 2005 Adrian Likins <alikins@redhat.com> 4.4.5.1
- fix #149947

* Fri Feb 18 2005 Johnny Hughes <johnny@centos.org>
- Added gpgUtils.py.centos4.patch to use the CentOS-4 key instead of the RH key (bug #805)

* Tue Feb 15 2005 Johnny Hughes <johnny@centos.org>
- Initial CentOS-4 build
- Added CentOS-4 mirros to sources
- Added CentOS-4 Keys

* Tue Feb 15 2005 Adrian Likins <alikins@redhat.com> 4.4.5.1
- fix #139537

* Wed Dec 15 2004 Adrian Likins <alikins@redhat.com> 4.4.5
- fix #142406 (again)

* Wed Dec 15 2004 Adrian Likins <alikins@redhat.com> 4.4.4
- fix #142332
- fix #129909

* Tue Dec 14 2004 Adrian Likins <alikins@redhat.com> 4.4.3
- fix #142406

* Mon Dec 6 2004 Adrian Likins <alikins@redhat.com> 4.4.2
- fix #139495 (updated translations)

* Fri Dec 3 2004 Adrian Likins <alikins@redhat.com> 4.4.1
- fix #141820 (add kernel-devel to list of packages to
  intall not update)

* Fri Dec 3 2004 Adrian Likins <alikins@redhat.com> 4.4.0
- rev to 4.4.0

* Wed Dec 1 2004 Adrian Likins <alikins@redhat.com> 4.3.69-1
- better fix for #139537
- better fix for #140505
- fix #141511

* Mon Nov 29 2004 Adrian Likins <alikins@redhat.com> 4.3.68-1
- fix #140775
- update translations #139495
- fix #140505  

* Thu Nov 25 2004 Adrian Likins <alikins@redhat.com> 4.3.67-3
- rev release to rebuild in right dist

* Wed Nov 24 2004 Adrian Likins <alikins@redhat.com> 4.3.67
- latest translations I can get to
  try to make #139495 happy
- fix for #138584, #129909
  (try to be more forgiving of incorrect network settings)

* Fri Nov 21 2004 Adrian Likins <alikins@redhat.com> 4.3.65
- fix #140374 (kABI)
- more fixes for #139495

* Tue Nov 16 2004 Adrian Likins <alikins@redhat.com> 4.3.64
- a correct fix for #135749
- translation updates #130626 

* Tue Nov 16 2004 Adrian Likins <alikins@redhat.com 4.3.62
- fix #135749
- fix #139071

* Mon Nov 15 2004 Adrian Likins <alikins@redht.com> 4.3.62
- fix #136375

* Fri Nov 12 2004 Adrian Likins <alikins@redhat.com> 4.3.61
- fix #139063
- fix #139050
- fix #139045
- correct state dialog in registration for non-us

* Thu Nov 11 2004 Adrian Likins <alikins@redhat.com> 4.3.60
- fix #130305 (and improve the layout for
  translations as well)
- fix a makefile bug for translations

* Thu Nov 11 2004 Adrian Likins <alikins@redhat.com> 4.3.58
- refactor solveDep and fix some dep solve bugs
- improve error reporting on failed deps

* Wed Nov 10 2004 Adrian Likins <alikins@redhat.com> 4.3.57
- fix #137151
- fix #138541
- fix #138645

* Mon Nov 8 2004 Adrian Likins <alikins@redhat.com> 4.3.56
- tanslation updates
- fixed depsolver bugs

* Thu Nov 4 2004 Adrian Likins <alikins@redhat.com> 4.3.52
- translation updates

* Tue Nov 2 2004 Adrian Likins <alikins@redhat.com> 4.3.51
- be more aggressive in setting our module path to
  be first
- #136862, #137840
- remove unused imports of xmlrpclib

* Fri Oct 29 2004 Adrian Likins <alikins@redhat.com> 4.3.50
- translation updates
- fix some yumRepo bugs

* Wed Oct 27 2004 Adrian Likins <alikins@redhat.com> 4.3.49
- more translation updates
- fix #130626
- remove "fedora" define, it is no longer needed as 
  "sources" is in *-release, and the firstboot modules
  decide if they should be shown or not at runtime

* Tue Oct 25 2004 Adrian Likins <alikins@redhat.com> 4.3.47
- translation updates

* Wed Oct 20 2004 Adrian Likins <alikins@redhat.com> 4.3.46
- finalize fc3 urls #135700
- some pychecker cleanups
- remove /etc/sysconfig/rhn/sources (mover to *-release 
  package)

* Tue Oct 19 2004 Adrian Likins <alikins@redhat.com> 4.3.44
- fix #135735
- fix #136232
- point at fc3 urls not rawhide

* Fri Oct 15 2004 Adrian Likins <alikins@redhat.com> 4.3.43
- merge some changes from rhel3 branch
- translation updates

* Fri Oct 1 2004 Adrian Likins <alikins@redhat.com> 4.3.41
- content changes

* Thu Sep 23 2004 Adrian Likins <alikins@redhat.com> 4.3.40
- various firstboot related fixes
- add a button/dialog to configure proxy/serverURL
- various firstboot content changes

* Wed Sep 15 2004 Adrian Likins <alikins@redhat.com> 4.3.38
- fix a error with accounts with no entitlements that
  try to use them anyway

* Tue Sep 14 2004 Adrian Likins <alikins@redhat.com> 4.3.37
- more firstboot flow issues
- even more firstboot registration fixes
- now with 30% more firstboot registration flow fixes
- new high protein low card firstboot short username fixes
- work around a server bug with entitlement issues

* Mon Sep 13 2004 Adrian Likins <alikins@redhat.com> 4.3.31
- fixes for #132475, #132473, #132472
  (firstboot flow issues)

* Wed Sep 1 2004 Adrian Likins <alikins@redhat.com> 4.3.30
- obsolete up2date-update from rhel3 (#131352)

* Mon Aug 30 2004 Adrian Likins <alikins@redhat.com> 4.3.29
- fedora doesnt need/want the registration modules for
  firstboot so make there conclusion optional

* Fri Aug 20 2004 Adrian Likins <alikins@redhat.com> 4.3.27
- #130476 (firstboot/up2date incompatabilities)

* Thu Aug 19 2004 Adrian Likins <alikins@redhat.com> 4.3.25
- #130391 (applet errors when ran for root)
- #130389 (typo in wrapper.py)

* Fri Aug 02 2004 Adrian Likins <alikins@redhat.com>
- build for rhel

* Tue May 11 2004 Adrian Likins <alikins@redhat.com>
- point sources at the new correct repo urls
- merge some multilib fixes from RHEL3 branch

* Fri May 7 2004 Adrian Likins <alikins@redhat.com>
- fix #122088 (arch->noarch updates)

* Thu May 6 2004 Adrian Likins <alikins@redhat.com>
- point sources to new repo urls

* Thu May 06 2004 Warren Togami <wtogami@redhat.com>
- #69205 bytecompile for rpm -V

* Thu May 6 2004 Adrian Likins <alikins@redhat.com>
- fix #113773 from rbb@redhat.com (reset sigint
handler after rpm unsets it so ctrl-c works better)

* Wed Apr 21 2004 Adrian Likins <alikins@redhat.com>
- an rpm-python api change was causing unsigned
  packages to go undetected in fedora. bleah.

* Tue Apr 13 2004 Adrian Likins <alikins@redhat.com>
- translation updates
- fixed some missing caps

* Mon Apr 5 2004 Adrian Likins <alikins@redhat.com>
- fix #119671 (selinux consolehelper roles)
- various other bits

* Mon Feb 11 2004 Adrian Likins <alikins@redhat.com>
- fix #115385

* Mon Feb 9 2004 Adrian Likins <alikins@redhat.com>
- point at RHN for rhel4 alpha

* Fri Jan 23 2004 Adrian Likins <alikins@redhat.com>
- for fc2, use the "development" repos
- adjust default sources file accordingly

* Thu Jan 22 2004 Adrian Likins <alikins@redhat.com>
- point default sources file to use new mirror list
- include the not finished rpm metadata modules
  in the rpm 
- patch from Kaj J. Niemi <kajtzu@fi.basen.net>
  to figure python version automatically

* Wed Jan 21 2004 Adrian Likins <alikins@redhat.com>
- enable fetching mirror lists from urls 

* Thu Jan 15 2004 Adrian Likins <alikins@redhat.com>
- hdr['filelist'] can now return None for some reason
  now, fix

* Wed Jan 14 2004 Adrian Likins <alikins@redht.com>
- fix the case of up2date not finding any updates
  with out a comp/glob/package specified

* Tue Jan 13 2004 Adrian Likins <alikins@redhat.com>
- add some rudimentary mirror support (see mirrors.txt
  in docs/)
- added some support for generic handling of special
  cases (aka, (pre/post)-(install/uninstall) actions
  on (name/provides))
- added bits to support removing kernels from bootloaders

* Fri Dec 5 2003 Adrian Likins <alikins@redhat.com>
- bump to 4.3, were adding features again
- add commandline comps support (up2date "@System Tools" for ex)
- add commandline glob support (up2date "kde*" for ex)
- fix a fc2 bug causing package to download
  src and not install #111472
- some yum/apt repo improvements  

* Wed Nov 19 2003 Adrian Likins <alikins@redhat.com> 
- fix a bug misa found in runTransaction

* Fri Nov 7 2003 Adrian Likins <alikins@redhat.com> 4.1.21
- fix #99152 (better messaging on unknown gpg keys)

* Tue Nov 04 2003 Adrian Likins <alikins@redhat.com> 4.1.19
- fix #108761 (auth info not updating correctly)
- update man pages (#104814)
- fix #107856


* Mon Nov 03 2003 Adrian Likins <alikins@redhat.com> 4.1.17 
- make the error message about import keys understand
  fedora keys
- fix some bugs with hardcoded useage of "/var/spool/up2date"
- pass along up2date version in User-Agent string
- fix the "update says I still need to update the kernel" bug


* Thu Oct 30 2003 Adrian Likins <alikins@redhat.com> 4.1.16
- sources cleanup

* Wed Oct 29 2003 Adrian Likins <alikins@redhat.com> 4.1.14
- fix #108401 
- fix for redirect bug from Sopwith
- "fix" #108191

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 4.1.12-2
- Add fedora patch to import extra Fedora keys, and to put yum update
URLs in.

* Mon Oct 27 2003 Adrian Likins <alikins@redhat.com>
- be more robust when changing on disk metadata formats
- fix #108085
- fix yum 0k/s bug (#107048)
- dirRepo is close to allowing file tree walks

* Fri Oct 24 2003 Adrian Likins <alikins@redhat.com>
- make yum create a obsoletes list the hard way
- fix the "up2date tries to install old versions" bug
- some obsoletes cleanups and bugfixes

* Wed Oct 22 2003 Adrian Likins <alikins@redhat.com>
- make download use less cpu
- handle 403 http status on urls
- dont asume kernels are "-U" when solving deps

* Tue Oct 21 2003 Adrian Likins <alikins@redhat.com>
- possible fix for #107548

* Thu Oct 15 2003 Adrian Likins <alikins@redhat.com>
- only download headers approriate to the current machine

* Thu Oct 9 2003 Adrian Likins <alikins@redhat.com>
- fix the new path to the shadowman logo
- new default repo for fedora

* Wed Oct 8 2003 Adrian Likins <alikins@redhat.com>
- add $ARCH subsituting in yum repo configs
- make dowbloading from a yum repo slightly less
  cpu intensive

* Tue Oct 7 2003 Adrian Likins <alikins@redhat.com>
- changed the way log and config initlization worked
  in a lot of places
- oh, up2date doesnt need RHN now. 
- check for the rawhide/fedora key for fedora
  and prompt user
- fix package download resumes
- install a default sources file pointing at fedora

* Wed Oct 1 2003 Adrian Likins <alikins@redhat.com>
- fix unneeded but mostly harmless traceback on registration
  with no available channels (likely with RHEL)
  

* Wed Sep 24 2003 Adrian Likins <alikins@redhat.com>
- depsolve bug fixes, most noteably (#105338)
- change version to shiny 4.0.0 (thus guaranteeing
  something is broken)

* Tue Sep 23 2003 Adrian Likins <alikins@redhat.com>
- make -k/--packagedir work again (#104959)

* Sat Sep 20 2003 Adrian Likins <alikins@redhat.com>
- show --list output as part of -u (#104429)
- list arch output in --show-available and such (#104770)
- fix display unprettiness with dirRepos (#104773)
- add option --arch to specify what version of a package
  to install (#104771)
- make --show-channel work with --list (#104772)
- correctly handle outage messages (#104611)


* Mon Sep 15 2003 Adrian Likins <alikins@redhat.com>
- another multilib fix
- make dir repos a bit more robust
- add "gettext" as a buildRequire #102806
- misc typos/grammar/etc #104425, #104426, #104430
- exit more gracefully on package 404's #104438

* Fri Sep 12 2003 Adrian Likins <alikins@redhat.com>
- fix up gui restarting bits (#104152)
- require python-devel for BuildReq

* Wed Sep 10 2003 Adrian Likins <alikins@redhat.com>
- dir repos were causing problems if they had the 
  same packages as other repos #104194
- out of date for one arch, up to date for another
  wasnt updating the out of date package #104077
- fix bug that was causing rpm warnings about 
  multiple adds to a transaction #104193
- dont really need to fork() to restart up2date
  fix userhelper interaction bug #104170

* Tue Sep 9 2003 Adrian Likins <alikins@redhat.com>
- fix #102768 
- fix --get/--get-source for non prefered arches  #102965
- dont loop when upgrading up2date in download 
  only mode #103653, #102966
- require rhnlib-1.3-12 or later
 
* Thu Sep 4 2003 Adrian Likins <alikins@redhat.com>
- fix arch selection bug #103162
- fix error dialog on no channels #103640
- fix RHEL entitlement related unfriendliness #103638
- fix up2date loop on -d #102966, #103653

* Tue Sep 2 2003 Adrian Likins <alikins@redhat.com>
- fix channel list bug #103558
- fix depsolve bug when more than version of a package
  available are newer than installed
- for for #103101 from msw

* Fri Aug 29 2003 Adrian Likins <alikins@redhat.com>
- fix channel bug on first run #103405
- new RHNS-CA-CERT

* Thu Aug 28 2003 Adrian Likins <alikins@redhat.com>
- fix multilib issues on ia64/x86_64 #102965
- fix a rhnreg_ks sslCACert bug
- fix a bug with generates obslist on dirRepos
- add support for configuring the packages we dont
  want to upgrade, but just install


* Mon Aug 25 2003 Adrian Likins <alikins@redhat.com>
- add reget support (#90930, #90929)
- add support for sending up clients caps specified
  in /etc/sysconfig/rhn/clientCaps.d

* Thu Aug 21 2003 Adrian Likins <alikins@redhat.com>
- fix #102804 (dont traceback isntalling bootloaders)
- cache dir based repos
- improve error handling for yum/apt a bit
- improve progress bar handling for yum/apt a bit
- fix a epoch related compare bug that shows up on
  apt/yum repos with packages with epoch of 0

* Mon Aug 18 2003 Adrian Likins <alikins@redhat.com>
- fix --whatprovides and --solve-deps

* Fri Aug 15 2003 Adrian Likins <alikins@redhat.com>
- fix `auto update up2date` code in gui

* Wed Aug 13 2003 Adrian Likins <alikins@redhat.com>
- make --show-channels show apt/yum/dir repos as well #102343
- run rhn_check after rhnreg_ks #102340
- rpcServer wasnt handling non stock name ssl ca certs
- config option to set which config options can be configure #101234

* Tue Aug 12 2003 Adrian Likins <alikins@redhat.com>
- add default sample sources file
- miscelanous apt/yum/dir related bugfixes

* Sun Aug 10 2003 Adrian Likins <alikins@redhat.com>
- add support for apt-rpm repositories
- add support for yum repositories
- add support for using local directories of packages

* Fri Aug 8 2003 Adrian Likins <alikins@redhat.com>
- do proper gpg sig checking

* Thu Jul 17 2003 Adrian Likins <alikins@redhat.com>
- bug fix in up2dateUtils.genTransaction

* Wed Jul 16 2003 Adrian Likins <alikins@redhat.com>
- require rhnlib-1.2

* Tue Jul 15 2003 Adrian Likins <alikins@redhat.com>
- support for client/server capability exchange

* Wed Jul 9 2003 Adrian Likins <alikins@redhat.com>
- add multilib support
- miscelanous bugfixes

* Wed Jul 2 2003 Adrian Likins <alikins@redhat.com>
- added runTransaction action
- bugfixes

* Fri May 9 2003 Adrian Likins <alikins@redhat.com>
- add clientCaps.py (client server capability exchance)

* Tue Mar 18 2003 Todd Warner <taw@redhat.com>
- added rhnLockfile.py PID-style file locking to rhn_check and up2date

* Mon Feb 24 2003 Adrian Likins <alikins@redhat.com>
- #84891 - do ordering properly
- #84991 - -nox --version fix
- translation updates
- pycheck cleanups (two typos on rarely hit error
  handling paths)
- #84736 - german translation makes screen too wide
           (better fix from translator)

* Fri Feb 21 2003 Adrian Likins <alikins@redhat.com>
- turn off beta support (dont import the beta key)
- translations updates

* Tue Feb 18 2003 Adrian Likins <alikins@redhat.com>
- #84371,#84462 typo in help message
- translation updates

* Fri Feb 14 2003 Adrian Likins <alikins@redhat.com>
- #84294 no step 2
- #84292 traceback when not importing the gpg key
- #77977 traceback when redhat-release not there
  in gui mode  

* Thu Feb 13 2003 Adrian Likins <alikins@redhat.com>
- updated translations

* Mon Feb 10 2003 Adrian Likins <alikins@redhat.com>
- #83824  set the charset properly

* Fri Feb 7 2003 Adrian Likins <alikins@redhat.com>
- #83379 gpg import window sticks around sometimes
- dont show the install screen unless ask for by
  commandline
- pass up up2date version in http headers now

* Wed Feb 5 2003 Adrian Likins <alikins@redhat.com>
- #83529 allow numeric proxy name and passwords
- recompile all *.pyc in the buildroot post munging
  so *.py don't recompile themselves on startup
- removed obsBlacklist support, this is pure server
  side now.

* Mon Feb 3 2003 Adrian Likins <alikins@redhat.com>
- #83319, #83318, #83116, #83094 typos and text cleanups
- better hardware detect support for x86_64 and ppc64
- better message in case `up2date foo` where doesn't
  need to be updated
- #83164 better net interface detection
- require a newer rhpl


* Wed Jan 29 2003 Adrian Likins <alikins@redhat.com>
- #83030 typo fix
- #83055 up2date should start up centered
- make sure rhnsd gets started
- #82309 use the stock buttons as well
- #83073 typo
- some gui cleanups

* Tue Jan 28 2003 Adrian Likins <alikins@redhat.com>
- #71983 hangs at rhn-register when sitting behind a proxy.
- #72065 up2date tries to contact the server before a proxy can be configured.
- man page updates
- #82309 configure screen is not gnome HIG compliant.
- fix up the glade files so everything is the correct colors
- po updates

* Mon Jan 27 2003 Adrian Likins <alikins@redhat.com>
- use libdir to set the proper lib on 64bit platforms
- #82730 Untranslated messages in Red Hat Network configurator.
- #82733 "Step 1: Review ..." message not translated
- #69807 Must enter password twice for registration.
- #72984 up2date screen is confusing.
- #78610 up2date graphical mode should support package installation option.
- various translation related bits fixed
- #82753 typo in man page

* Mon Jan 20 2003 Adrian Likins <alikins@redhat.com>
- fix #69205 (rpm -V clutter)
- #70107 (references to rhn_register)
- added the dirs to be owned by up2date #73979
- #74607 (traceback on i/o error)
- #74823 (rhnreg_ks sets networkSetup now)
- symlink up2date-nox.8 to up2date.8 (#75025)

* Wed Jan 15 2003 Adrian Likins <alikins@redhat.com>
- add distrotype.py so we can decide if we are beta
  or not, and pull in all the right keys and whatnot
- support for installing all packages from a channel
  (#80157)
- bug fix/typo in configUtils.py
- make dmi work again
- possibility of disabling reboot action
- support for --show-orphans (#65006)
- bump to 3.1.x for less version conflict issues
- up2date the default config file

* Tue Jan 14 2003 Adrian Likins <alikins@redhat.com>
- support for sending up a per server uuid while
  registering (#81487)

* Mon Jan 13 2003 Adrian Likins <alikins@redhat.com>
- more detailed error reporting for fullUpdate

* Wed Jan 8 2003 Adrian Likins <alikins@redhat.com>
- fullUpdate action 

* Wed Dec 17 2002 Adrian Likins <alikins@redhat.com>
- less vague error reporting on the commandline in
  the cases we have nothing to do

* Tue Dec 17 2002 Adrian Likins <alikins@redhat.com>
- handle a couple of odd cases with listing errata
  info in tui mode

* Mon Dec 16 2002 Adrian Likins <alikins@redhat.com>
- Even more  error reporting on package remove 
- fix a bug that would make package removes fail
  if there no items in the skip list for package 
  removeals

* Fri Dec 13 2002 Adrian Likins <alikins@redhat.com>
- fix #79499
- better error reporting on package remove actions

* Wed Dec 11 2002 Adrian Likins <alikins@redhat.com>
- fix #79408, #79385

* Mon Dec 9 2002 Adrian Likins <alikins@redhat.com>
- clean up some import issues breaking --bdpath
- fix a bug in the depsolver
- make the packagelist update timestamp
  stuff more useful
- handle a couple more weird network errors

* Thu Dec 5 2002 Adrian Likins <alikins@redhat.com>
- more useful error reporting on rollback.rollback
  action

* Tue Dec 3 2002 Adrian Likins <alikins@redhat.com>
- more rollback fixes
- make packagelist refresh handling a bit nicer

* Mon Dec  2 2002 Adrian Likins <alikins@redhat.com>
- improve rollback support
- obsolete blacklist support
- fix #78606, #58972, #76144, #77496, #77977
- fix a depsolver bug
- fix --dbpath
- workaround a rpm bug 
 
* Fri Oct 25 2002 Adrian Likins <alikins@redhat.com>
- add /var/lib/up2date to the spec

* Thu Oct 10 2002 Adrian Likins <alikins@redhat.com>
- better obsoletes handling

* Tue Oct 7 2002 Adrian Likins <alikins@redhat.com>
- more random rhnsd
- new rhnsd configuration actions
- add back in a rhn_register symlink

* Mon Sep 9 2002 Adrian Likins <alikins@redhat.com>
- use proper beep call

* Thu Sep 5 2002 Adrian Likins <alikins@redhat.com>
- let the reboot action wait 3 minutes to make sure
  we return an exit status first
- new CA cert with expire further in future
- catch SSL.Error and crypto.Error gracefully
- require rhnlib >= 1.0
- speed up startup by using a quicker way
  to check for installed gpg keys

* Wed Sep  4 2002 Cristian Gafton <gafton@redhat.com>
- decomission stale sources: userpass and advisorywin

* Wed Sep 4 2002 Adrian Likins <alikins@redhat.com>
- man page update
- bug fix in config handling
- depsolver fix up on the solve a"conflict that is
  also obsoleted" code path

* Mon Sep 2 2002 Adrian Likins <alikins@redhat.com>
- whee, now "3.0"
- rollback fixes  (more)
- minor fixups to  the config file handling
- more translations and updated translations
- fix rhnreg_ks commandline handling
- log file fixes
- cosmetic bugs in server selection dialog
- misc pychecker fixes
- require rpm-4.1-1.05
- trim off an excessive login
- fix a "partially downloaded package breaks things"
  bug
- fix a "partially downloaded header breaks things" bug

* Sun Sep 1 2002 Adrian Likins <alikins@redhat.com>
- fix #73255

* Sat Aug 31 2002 Adrian Likins <alikins@redhat.com>
- add --firstboot for firstboot
- fix some gpg related startup bugs
- clean up some gui warnings
- make cancel in config dialog really cancel
- require rpm-4.1-1 or higher
- fix a label color on the channels dialog


* Fri Aug 30 2002 Adrian Likins <alikins@redhat.com>
- fix #73017, #73047
- fix --list behaviour (returned to the old style,
  and added --dry-run to do what --list did previously)
- code cleanups from gafton 
- modify the rollback action stuff to work the new
  way 


* Thu Aug 29 2002 Adrian Likins <alikins@redhat.com>
- #72983
- more commandline options for use by the applet
- remove line about ewt@redhat.com in the RPM-GPG-KEY comments
- update versions of rpm and rhnlib req's
- update translations
- fix bug importing gpg keys on clean systems

* Wed Aug 28 2002 Adrian Likins <alikins@redhat.com>
- prettify gpg handling
- fix #72880
- update translations
- remove beta keyring from default keyring

* Tue Aug 27 2002 Adrian Likins <alikins@redhat.com>
- update translations
- fix #72794
- require newt package
- misc pychecker cleanups
- clean up gpg handling
- fix #72479, #72659
- import existing keyrings on startup

* Fri Aug 23 2002 Adrian Likins <alikins@redhat.com>
- more rhn_register fixes
- add support for installmethod data

* Thu Aug 22 2002 Adrian Likins <alikins@redhat.com>
- merge stable/devel rhnreg_ks together (pick up
  some bug fixes)
- add support for enabling/disabling rollbacks to the gui
- #69208 is more dead now

* Wed Aug 21 2002 Adrian Likins <alikins@redhat.com>
- lots of bug fixes
- move lots of stuff from up2date-gnome to up2date
- remove some files that were in both
- fixes for #72065, #71983, #72201, #72166
  #72135, #71891, #72131, #72134, #72160, #72146,
  #72121, #72119 and ithers 
- ditch my translate.py, use the one from rhpl 
  instead (new dep on rhpl)
- fix #69651, #72120, #71346, #68105, #68347,
  #70876
- make the damned startup screen red instead of
  blue, finally 

* Tue Aug 20 2002 Adrian Likins <alikins@redhat.com>
- require newest rpm
- some minor gui cleanups
- couple of bug fixes (no bug #'s, sorry...)
- po updates


* Fri Aug 16 2002 Adrian Likins <alikins@redhat.com>
- fix a gui bug that busted gui updates

* Thu Aug 15 2002 Adrian Likins <alikins@redhat.com>
- keep up with rpm
- fix for #71569
- fix for end of #69326

* Wed Aug 14 2002 Adrian Likins <alikins@redhat.com>
- some bugfixes in the cli progress bars
- munge the internals of rollback.py to make 
  it more useful
- unduplciate some code

* Tue Aug 13 2002 Adrian Likins <alikins@redhat.com>
- fix some gui issues
- make header download callbacks work properly
- cleanup the cli mode output 
- add --register option to force registration again
- add a "reboot" action and update the config actions
- add actions to run specific rollbacks, and to list all 
  of them
- fix bug in package remove action

* Mon Aug 12 2002 Cristian Gafton <gafton@redhat.com>
- update for the new build system

* Mon Aug 12 2002 Adrian Likins <alikins@redhat.com>
- fix many many bugs (#71232, #70749, #71180, #71229,
  #71252, #70107, #71251, #71254, #71206,)
- require a specific current version of rpm
- keep up with rpm (rollback api change)

* Thu Aug 8 2002 Adrian Likins <alikins@redhat.com>
- rollback support
- fix serveral bugs

* Wed Aug 7 2002 Adrian Likins <alikins@redhat.com>
- some minor performance improvements (most issues
  still in rpm though)
- update the menu entries
- keep up with rpm
- fix a couple more bugs

* Mon Aug 5 2002 Adrian Likins <alikins@redhat.com>
- convert to using optik (yes, yet another command line
  parser)
- get rid of all the poptmodule cruft

* Tue Jul 30 2002 Adrian Likins <alikins@redhat.com>
- add configUtils
- support for site selection
- misc bug fixes

* Thu Jul 24 2002 Adrian Likins <alikins@redhat.com>
- some configdlg updates
- fix for #69882 (pam_timestamp support)
- fix for #69805 
- desktop file tweaking

* Wed Jul 24 2002 Adrian Likins <alikins@redhat.com>
- require rpm404-python 

* Tue Jul 23 2002 Adrian Likins <alikins@redhat.com>
- new graphics
- even newer rhnlib
- fix more bugs
- share more code between old register code and up2date code
- even more of that
- fix a couple bugs
- got rid of rhnHTTPlib, no longer needed
- fix a rhn_check bug
- config option to disable rollbacks

* Mon Jul 22 2002 Adrian Likins <alikins@redhat.com>
- even newer rhnlib
- no point in providing rhn_register
- new names and locations for the desktop files
- rhnreg.py was missing from the spec
- fix half a dozen bugs
- use new desktop file setup
- fix an package list computation bug I introduced 
  

* Fri Jul 19 2002 Adrian Likins <alikins@redhat.com>
- various bug fixes
- action fixes
- require even newer rhnlib
- fix up the gnome related requirements


* Wed Jul 17 2002 Adrian Likins <alikins@redhat.com>
- were pretty much branched at this point, might as
  well kill all the backwords compat spec file madness
  at this point
- obsolete rhn_register 
- man page updates

* Tue Jul 16 2002 Adrian Likins <alikins@redhat.com>
- merge in rhn_register
- add dep on gnome-python2-canvas

* Fri Jun 21 2002 Adrian Likins <alikins@redhat.com>
- add better obsoletes support
- minor dependency solving tweak

* Wed May 1 2002 Adrian Likins <alikins@redhat.com>
- add wrapperUtils and up2dateLog to the file list
- change the default server url to xmlrpc.rhn.redhat.com

* Thu Apr 18 2002 Adrian Likins <alikins@redhat.com>
- fix for #63743
- update translations (pt,sv)

* Wed Apr 17 2002 Adrian Likins <alikins@redhat.com>
- make sure --version works #63414
- fix typo in error handling path #61973
- tranlation updates (pt,sv, new ru)

* Tue Apr 16 2002 Adrian Likins <alikins@redhat.com>
- more translations (pt and sv)

* Mon Apr 15 2002 Adrian Likins <alikins@redhat.com>
- fix for #63484, #63501 (cant only select skipped packages)
- for for #63550 (new rpm-python changed some ints to long ints)
- updated the tranlations
- fix for #63447 (the purple that started appearing under recent pygtks)
- require usermode-gtk (lets try to start a trend)
- added new translations 
- updated the druid image to a nice pretty new one
- even more translations (romanian this time!, again)

* Thu Apr 11 2002 Adrian Likins <alikins@redhat.com> 2.7.77
- fix for checkbootloader.py on 2.2 boxes

* Wed Apr 10 2002 Adrian Likins <alikins@redhat.com> 2.7.76
- fix the "packages always get redownloaded bug" 
- update lots of copyright comments
- few more man page clean ups
- now require "rhn-applet" for 7.3 (nope, note quite yet)
- fix two man page bugs  ( #63101, #63111 ) 
- add "requires_applet" define to indicate if up2date-gnome should 
  require "rhn-applet"
- updated the po files
- add thread lock prevention bits suggested by msw@redhat.com
- catch package install failures via the new rpm callbacks


* Tue Mar 26 2002 Adrian Likins <alikins@redhat.com>
- dont generate desktop files from the spec
- make /etc/X11/sysconfig files conditional on releases with nautilus
- new define "uses_nautilus" for releases that use it (7.2+)
- new define "uses_pam_pwdb" for releases that use pam_pwdb (6.2)
- only install the pwdb based pam config files if "uses_pam_pwdb" is set

* Fri Mar 15 2002 Adrian Likins <alikins@redhat.com>
- add defines for using python-clap
- add BETA-RPM-GPG-KEY to package
- add BETA-RPM-GPG-KEY to default keyring

* Thu Feb 28 2002 Adrian Likins <alikins@redhat.com>
- include a url tag

* Mon Feb 25 2002 Adrian Likins <alikins@redhat.com>
- add go-rhn.sh shell scripts

* Thu Feb 21 2002 Adrian Likins <alikins@redhat.com>
- be less picky about our rpm/rpm-python versions

* Thu Jan 31 2002 Adrian Likins <alikins@redhat.com>
- "has_rhnlib" for releases that have rhnlib

* Thu Jan 17 2002 Adrian Likins <alikins@redhat.com>
- add default gpg keyring 

* Tue Dec 11 2001 Tim Powers <timp@redhat.com>
- rebuilt to hopefully get the right deps on libpopt for ia64

* Sat Nov 11 2001 Adrian Likins <alikins@redhat.com>
- dont include dmimodule.so, it's in rhn_register
  which is required

* Sat Nov 10 2001 Adrian Likins <alikins@redhat.com>
- first pass at conditional support for mkinitrd

* Tue Oct 23 2001 Adrian Likins <alikins@redhat.com> 
- add define for "no_grub"
- require "poptmodule.so" instead of rpm >= 4.0.3
- remove "/usr/sbin/up2date" from up2date-gnome #51600

* Mon Oct 22 2001 Adrian Likins <alikins@redhat.com> 2.7.3
- make errata.update and package.update actions more
  robust
- fixes for athlon kernels and cyrix glibc issues

* Wed Sep 26 2001 Adrian Likins <alikins@redhat.com>
- s390 support

* Thu Sep  6 2001 Cristian Gafton <gafton@redhat.com>
- updated translations

* Thu Sep 6 2001 Adrian Likins <alikins@redhat.com> 
- add action to disable systemid

* Wed Sep  5 2001 Cristian Gafton <gafton@redhat.com>
- don't need the actions/client stuff no more

* Wed Sep 5 2001 Adrian Likins <alikins@redhat.com> 2.6.3-7.x.1
- properly decode the proxyurl setting for http gets
  (fix several proxy related bugs...)
- pass in the right variable for proxyPassword so 
  authenticated proxies work (#53261)
- handle cases where packages can go to/from noarch

* Tue Sep  4 2001 Cristian Gafton <gafton@redhat.com>
- reworking the Makefiles
- add dmimodule
- this means that the source file is now tar.gz instead of tar.bz2...

* Tue Sep 4 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.39
- fix bug #53160
- use "family" for the model cpu field for ia64 (#53100)
- fix bug #53139, #52999
- enable support for bios remapped drives with lilo (#52201)
- fix a typo in lilocfg (#53141)
- catch all xmlrpcfaults and show them in gui dialogs if approriate
  (part of #53008)
- more arch fixes (should fix #53121, #52201, #52296)

* Fri Aug 31 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.37
- take arch into consideration in getUpdatedPackageList
- fix bug #52287

* Wed Aug 29 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.36
- fixes to the header caching to properly handle multiple arches
  properly
- some grub and bootloader fixes to hopefully make grub work correctly

* Tue Aug 28 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.35
- grubby wants full path, not kernel version
 
* Tue Aug 28 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.34
- add more grub support
- make lilo stuff a bit more tested

* Fri Aug 24 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.33
- fix bug #52288
- some bootloader fixes
- fix bug #52243 (handle unsolveable deps better)

* Thu Aug 23 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.32
- show package name while downloading in text mode #52388
- detect if grub is installed and "do nothing"
- add checkbootloader.py

* Wed Aug 15 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.30
- fix for the "proxy bug" fix bugs #51778, #51641, 
  and numerous roswell-list posts
- I dislike http proxies
- invert the new package selection stuff to 
  better match rpm on basket case ver compares #51760

* Thu Aug 9 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.29
- po updates
- fix a text config bug

* Wed Aug  8 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.25
- moved to up2date_client directory
- changed exit status on actions to the new/old standard
- moved actions to /usr/share/rhn/actions
- reverted to the original queue.* api

* Wed Aug  1 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.24
- use new up2date.solveDependecies() call in solveDep
- use new errata.getErratum() call for errata info fetching
- add up2date_config action module

* Sat Jul 28 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.23
- split client.py into seperate action modules
- rhn_check.py uses the new queue.get_action

* Thu Jul 26 2001 Adrian Likins <alikins@redhat.com> 2.6.0-7.x.22
- export the remove_package method

* Tue Jul 24 2001 Adrian Likins <alikins@redhat.com>
- use the old solvdep call for the time being
- point to beta server
- add warning message about beta

* Mon Jul 23 2001 Adrian Likins <alikins@redhat.com>
- require a newer rpm
- move the py-popt and clap

* Mon Jul 16 2001 Adrian Likins <alikins@redhat.com>
- more channel work
- more verbose error reporting on http errors

* Thu Jul 12 2001 Adrian Likins <alikins@redhat.com>
- add "update_for_errata" action
- make the action code more flexible
- include new actions dir
- include getMethod module

* Tue Jul 10 2001 Adrian Likins <alikins@redhat.com>
- make rhn_check work

* Sat Jul 7 2001 Adrian Likins <alikins@redhat.com>
- be more robust on network failures. fix bug #28368
- add actions for remove packages, and update/geting the config
- more text_config work, fix bug #47502, #47499
- only show relevant exclude packages, fix bug #47081
- be more forgiving in the proxy names, fix bug #41611
- error if the storageDir doesnt exist
- various code cleanups


* Mon Jul 2  2001 Adrian Likins <alikins@redhat.com>
- first version to use the new server api
- use channels
- use http get for package/header/listall transport
- minor bugfixes
- bump version to 2.6.0
- explicitily require mkinitrd. fix bug #46111
- make relative paths absolute. fix bug #40834
- fall back to whatever font is available if
  get the one we want. fix bug #40072

* Mon Jun 11 2001 Adrian Likins <alikins@redhat.com>
- include eli support into the Makefiles/spec

* Thu May 31 2001 Cristian Gafton <gafton@redhat.com>
- incorporate fixes from the hardware detection for rhn_register

* Tue May  8 2001 Adrian Likins <alikins@redhat.com>
- be more paranoid checking for CA certs
- fix bug #36981
- use long ints for memeory sizes (#36761)

* Tue Apr 17 2001 Preston Brown <pbrown@redhat.com>
- close all file descriptors (non-critical fix)
- rhn_check fixup for foreign languages

* Tue Apr 10 2001 Preston Brown <pbrown@redhat.com>
- preserve lilo.conf backup permissions
- other minor traceback issue fixups

* Sat Apr  7 2001 Preston Brown <pbrown@redhat.com>
- noBootLoader config option to not run bootloader cmds on kernel upgrade

* Fri Apr  6 2001 Preston Brown <pbrown@redhat.com>
- fixes for source package retrieval
- more traceback fixes
- rhn_check fixes to use internal up2date dep. resolution

* Tue Apr  3 2001 Adrian Likins <alikins@redhat.com>
- quieter lilo test runs
- make labels default to the same style as anaconda

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- yet another lilo upgrade fix, this one for SMP (#34431)
- disable back button after package installation (#34413)

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- more lilo/kernel fixes (alikins)

* Tue Mar 27 2001 Preston Brown <pbrown@redhat.com>
- "-a, --allpackages" options removed.  WAY too much network traffic.
- rhnsd init script checks for presence of systemid before starting.

* Fri Mar 23 2001 Adrian Likins <alikins@redhat.com>
- added the files for lilo setup to the spec file

* Thu Mar 22 2001 Jay Turner <jkt@redhat.com>
- removed '-r' as a valid commandline option

* Tue Mar 13 2001 Preston Brown <pbrown@redhat.com>
- fixed some translation problems (#30466)
- don't segfault if progress window closing attempted (#28850)
- configuration back to www.rhns as default server
- don't fight with rhn_register over config file for now
- fixed double-warning about GPG installation being incorrect (#30295)
- better progress bars

* Tue Mar  6 2001 Adrian Likins <alikins@redhat.com>
- need newer version of python-xmlrpc for auth proxy support
- add support for authenticated proxies (#18780)

* Fri Mar  2 2001 Adrian Likins <alikins@redhat.com>
- add advisorywin.* to file list

* Thu Mar  1 2001 Preston Brown <pbrown@redhat.com>
- updated ChangeLog
- install rhnsd man page
- be friendly (i.e. don't spew too much garbage) when not running on a tty (#19646)
- support for viewing errata associated with an updated package (#15647)

- handle cases where multiple versions of same package are installed gracefully (#22984)

* Tue Feb 20 2001 Preston Brown <pbrown@redhat.com>
- add logrotate control file

* Tue Feb 20 2001 Yukihiro Nakai <ynakai@redhat.com>
- Some fixes for gettext

* Fri Feb 16 2001 Preston Brown <pbrown@redhat.com>
- minor fix for when noReplaceConfig is turned on

* Sat Feb 10 2001 Adrian Likins <alikins@redhat.com>
- added support for --justdb, and --dbpath, mainly
  for testing purposes
- be even nicer to the rpmdb (open it up less often...)

* Fri Feb  9 2001 Adrian Likins <alikins@redhat.com>
- added simple --verbose support
- start logging to /var/log/up2date things like package
  downloads, header gets, etc

* Thu Feb  8 2001 Adrian Likins <alikins@redhat.com>
- fixed a couple of bugs in odd package update scenarios
- add support for configFilesToIgnore directive to allow
  certain config files to be ignore even if modified
- fix a time display bug in the gui bug #23501
- fix a bad reference in the gui bug #23240
- dont query the db so agressively when doing config file checks
- handle cases where we get partial rpms in the spool dir
- implement a headerCache, and new config option headerCacheSize
  to limit the size of the cache
- add support for fetching multiple headers at once. Speeds
  up header downloading alot.
- new config option headerFetchCount to configure how many
  headers to fetch at a time
- handle cases where files marked as config files are now
  symlinks or directories or links to dirs. ick.

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize init script

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- integrate i18n

* Sun Jan 21 2001 Jay Turner <jkt@redhat.com>
- added -f, --force option to force package
  installation in TUI mode, neglecting file,
  package and configuration file skip lists

* Sun Jan 7 2001  Adrian Likins <alikins@redhat.com>
- make `up2date package` work
- added --nox mode to force the point of nogui
- added text_config text mode configuration
- added --whatprovides and --solvedeps options
- added -k/--packagedir option to specify extra
  local dirs to look for packages
- handle packages with Conflicts a little better
- updated man page for up2date
- added console.app and pam.d entries for up2date-nox
- change handling of noReplaceConfig to not download
  fetch packages with local config changes even if the new
  package has a differerent format

* Tue Dec 19 2000 Preston Brown <pbrown@redhat.com>
- if old configuration from Update Agent 1.x exists, preserve it.

* Mon Dec 18 2000 Preston Brown <pbrown@redhat.com>
- support legacy rpm during signature checks

* Fri Dec 15 2000 Preston Brown <pbrown@redhat.com>
- translated
- needs python-xmlrpc 1.2.1 or newer for selectable transport encoding

* Fri Dec 08 2000 Preston Brown <pbrown@redhat.com>
- give reasons why packages are skipped
- require pygnome-libglade (#21877)

* Thu Nov 30 2000 Preston Brown <pbrown@redhat.com>
- https proxy support
- more cleanups and user-friendliness improvements

* Tue Nov 28 2000 Preston Brown <pbrown@redhat.com>
- fix NUMEROUS bugs (#11942, #18817, #18846, #18950, #19528, #19668, 
  #20442, #20472 and more)
- move /var/spool/up2date directory from gnome pkg to main pkg (#20476)

* Wed Oct 25 2000 Preston Brown <pbrown@redhat.com>
- more intelligent dependency resolution
- include time remaining, time elapsed, kbps information in download screen
- some layout changes in the GUI
- more general improvements

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- fix handling of faulty command line arguments
- fix help text regarding anonymous registration (#18543)
- import gui module later when X is available to speed cmd line arg parsing
- make explicit reference to up2date-config settings when packages are marked
  for retrieval only (so users know where to change this setting)
- implement/document -u option for batch updating a system

* Fri Oct 06 2000 Cristian Gafton <gafton@redhat.com>
- add triggerun

* Wed Oct 04 2000 Preston Brown <pbrown@redhat.com>
- increased connection interval for rhnsd
- rhnsd file descriptor leaks fixed (#18345)

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- fixed rhnsd.init, don't use () after shell functions

* Thu Sep  7 2000 Bill Nottingham <notting@redhat.com>
- this isn't a noarch package anymore

* Wed Sep 06 2000 Preston Brown <pbrown@redhat.com>
- rhnsd filedescriptor leak fixed

* Sun Aug 27 2000 Preston Brown <pbrown@redhat.com>
- command line mode
- implement flag to override "retrieveNew" cfg file option
- noreplace config file
- 2.0

* Fri Aug 25 2000 Preston Brown <pbrown@redhat.com>
- add rhn_check files, re-enable gnome subpkg
- requires rhn_register so that the reg program gets pulled in on upgrades

* Fri Aug 25 2000 Cristian Gafton <gafton@redhat.com>
- add the RH public key and the CA certificate to the %%files list

* Thu Aug 24 2000 Preston Brown <pbrown@redhat.com>
- require python xmlrpc >= 1.0-3, not 1.0.3

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- does signature checking now, so requires very recent RPM.

* Wed Aug 23 2000 Cristian Gafton <gafton@redhat.com>
- add rhnsd

* Mon Aug 21 2000 Preston Brown <pbrown@redhat.com>
- include missing glade file in files section

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- imported changelog from old update agent, made a new specfile for new ver.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- changed the attr(600,-,-) to attr(600,root,root) for /etc/up2date.conf

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- build for next release

* Thu Jun 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM configuration to use system-auth

* Mon Apr 17 2000 Preston Brown <pbrown@redhat.com>
- fix display of errors from server in dialog box (was mailed correctly)

* Thu Mar 09 2000 Preston Brown <pbrown@redhat.com>
- fix gnome arg munging

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com>
- --list option added
- ability to specify packages to retrieve in batch mode from cmd line added

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- revert to kernel*.  kernel-* has issues
- depend on rpm-python
- fix long cmd line option parsing

* Thu Mar 02 2000 Bill Nottingham <notting@redhat.com>
- fix some of the rpm-3.0.4 tweaks
- cmdline mode fixes; remove the netscape dependency.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- many cleanups and updates
- better e-mail summaries
- proxy support
- cmd line mode supported

* Mon Feb 28 2000 Bill Nottingham <notting@redhat.com>
- minor tweaks for rpm-3.0.4 compatibility

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- require rpm python module

* Mon Nov 15 1999 Preston Brown <pbrown@redhat.com>
- echo * characters for password entry.

* Wed Nov 03 1999 Preston Brown <pbrown@redhat.com>
- fix numeric-only passwords
- make config file 0600 both in .spec file and when writing it

* Mon Nov 01 1999 Preston Brown <pbrown@redhat.com>
- mail summary of run results to administrators listed in cfg
- pop up dialogs w/result summaries when done

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- renamed "Registration key" to "Password"

* Thu Oct 14 1999 Preston Brown <pbrown@redhat.com>
- move removal of skipped packages to after check for installed packages
- update the config file to exclude kernel-* by default, not kernel*

* Wed Oct 13 1999 Preston Brown <pbrown@redhat.com>
- support configurable depTries, aborting works better.

* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- do not quit when starting netscape. Use a unix socket for communication

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- icon added, bump rev to 1.0.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- next generation build, preparing for release
- enabled as a PAM-console app

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- updated for newer stuff

* Tue Aug 24 1999 Preston Brown <pbrown@redhat.com>
- initial spec.


